Files
apfstests/tests/xfs/500
T
Darrick J. Wong a860a167d8 common: kill _supported_os
fstests only supports Linux, so get rid of this unnecessary predicate.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
Reviewed-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Eryu Guan <guaneryu@gmail.com>
2020-09-21 01:16:50 +08:00

47 lines
1.1 KiB
Bash
Executable File

#! /bin/bash
# SPDX-License-Identifier: GPL-2.0+
# Copyright (c) 2019 Oracle, Inc. All Rights Reserved.
#
# FS QA Test No. 500
#
# Make sure we can't format a filesystem with insane extent hints.
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
echo "QA output created by $seq"
tmp=/tmp/$$
status=1 # failure is the default!
testfile=$TEST_DIR/$seq.txt
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
rm -f $tmp.*
}
# get standard environment, filters and checks
. ./common/rc
# real QA test starts here
_supported_fs xfs
_require_scratch_nocheck
rm -f $seqres.full
# Try regular extent size hint
echo extszinherit >> $seqres.full
_scratch_mkfs -d extszinherit=8388608 >> $seqres.full 2>&1
test $? -eq 1 || echo "should have failed extszinherit"
# Try cow extent size hint if supported
if _scratch_mkfs_xfs_supported -m crc=1,reflink=1 >> $seqres.full 2>&1; then
echo cowextsize >> $seqres.full
_scratch_mkfs -m reflink=1,crc=1 -d cowextsize=8388608 >> $seqres.full 2>&1
test $? -eq 1 || echo "should have failed cowextsize"
fi
echo silence is golden
status=0
exit